Skip to main content
POST
/
v1
/
subscribers
Create or update a subscriber
curl --request POST \
  --url https://api.xoxo.email/v1/subscribers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "fields": {},
  "tags": "<array>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "source": "app",
  "emailed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "fields": {},
  "tags": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://help.xoxo.email/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API token. Pass as Authorization: Bearer <token>.

Body

application/json
email
string
fields
object
tags
array

Response

Success

id
string<uuid>
required
email
string
required
source
enum<string>
required
Available options:
app,
api,
mcp,
form
emailed_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
fields
object
required
tags
string[]
required